summaryrefslogtreecommitdiffstats
path: root/setup.sh
diff options
context:
space:
mode:
authorSuren A. Chilingaryan <csa@suren.me>2018-07-05 06:29:09 +0200
committerSuren A. Chilingaryan <csa@suren.me>2018-07-05 06:29:09 +0200
commit2c3f1522274c09f7cfdb6309adc0719f05c188e9 (patch)
treee54e0c26f581543f48e945f186734e4bd9a8f15a /setup.sh
parent8af0865a3a3ef783b36016c17598adc9d932981d (diff)
downloadands-2c3f1522274c09f7cfdb6309adc0719f05c188e9.tar.gz
ands-2c3f1522274c09f7cfdb6309adc0719f05c188e9.tar.bz2
ands-2c3f1522274c09f7cfdb6309adc0719f05c188e9.tar.xz
ands-2c3f1522274c09f7cfdb6309adc0719f05c188e9.zip
Update monitoring scripts to track leftover OpenVSwitch 'veth' interfaces and clean them up pereodically to avoid performance degradation, split kickstart
Diffstat (limited to 'setup.sh')
-rwxr-xr-xsetup.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/setup.sh b/setup.sh
index 090bd7d..f4271f8 100755
--- a/setup.sh
+++ b/setup.sh
@@ -49,6 +49,12 @@ case "$action" in
projects)
apply playbooks/openshift-setup-projects.yml "$@" || exit 1
;;
+ add_project)
+ project=$1
+ shift
+ [ -n "$project" ] || { usage 'project name should be specified...' ; exit 1; }
+ apply playbooks/openshift-add-project.yml --extra-vars "ands_configure_project=$project" "$@" || exit 1
+ ;;
project)
project=$1
shift